DROP TABLE(7)

NAME
DROP TABLE - remove a table

SYNOPSIS

DROP TABLE name [, ...]

  INPUTS

name
    The name of an existing table to drop.

  OUTPUTS

DROP
    The message returned if the command completes successfully.

ERROR: table "name" does not exist
    If the specified table does not exist in the database.

DESCRIPTION

DROP TABLE removes tables from the database. Only its owner may destroy a table. A table may be emptied of rows, but not destroyed, by using DELETE.

If a table being destroyed has secondary indexes on it, they will be removed first. The removal of just a secondary index will not affect the contents of the underlying table.

  NOTES

Refer to CREATE TABLE and ALTER TABLE for information on how to create or modify tables.

USAGE

To destroy two tables, films and distributors:

DROP TABLE films, distributors;

COMPATIBILITY

  SQL92

SQL92 specifies some additional capabilities for DROP TABLE:

DROP TABLE table { RESTRICT | CASCADE }

RESTRICT
    Ensures that only a table with no dependent views or integrity constraints can be destroyed.

CASCADE
    Any referencing views or integrity constraints will also be dropped.

    Tip: At present, to remove a referenced view you must drop it explicitly.